#ifndef PROFILEDIALOG_H
#define PROFILEDIALOG_H

#include <QDialog>
#include "../cameras.h"

namespace Ui {
class ProfileDialog;
}

class ProfileDialog : public QDialog
{
	Q_OBJECT

	Cameras* cameras_;

private slots:
	void addProfile();
	void editProfile();
	void deleteProfile();

public:
	explicit ProfileDialog(Cameras* cameras, QWidget *parent = nullptr);
	~ProfileDialog();

private:
	Ui::ProfileDialog *ui;
};

#endif // PROFILEDIALOG_H
